export default {
  global: {
    hello: 'Hello, world!',
    routes: {
      Dashboard: 'Dashboard',
      DashboardWithPeriod: '{period} / Dashboard',
      Incomes: 'Incomes',
      IncomesWithPeriod: '{period} / Incomes',
      Expenses: 'Expenses',
      ExpensesWithPeriod: '{period} / Expenses',
      Settings: 'Settings',
      Periods: 'Periods',
      Categories: 'Categories',
      PaymentMethods: 'Payment methods',
      PaymentRecurrences: 'Payment recurrences',
      PaymentStatuses: 'Payment statuses',
      Administration: 'Administration',
      Error: 'Page not found',
    },
    validations: {
      required: 'The field is required.',
      minLength: 'Enter at least {n} characters.',
      maxLength: 'Enter a maximum of {n} characters.',
      minDate: 'The date must be equal to or greater than {date}.',
      email: 'Invalid email.',
      emailUnavailable: 'The email has already been taken. Please, choose another one.',
      sameAs: 'Passwords do not match.',
      decimal: 'Invalid value.',
      maxDecimalLength: 'The decimal must have a maximum of {n} int digits.',
      maxDecimalPrecisionLength: 'The value must have a maximum of {n} decimal digits.',
      integer: 'Enter only integer numbers.',
      minValue: 'The minimum value allowed is {n}.',
      maxValue: 'The maximum value allowed is {n}.',
      equal: 'The value entered does not match {n}.',
    },
    messages: {
      logoutWarning: 'You have been logged out due to inactivity. Please, make log in again.',
      noPeriodSelected: 'NO PERIOD SELECTED',
    },
    crudDataTable: {
      action: {
        searchByTitlePlaceholder: 'Search by title',
      },
      header: {
        title: 'Title',
        color: 'Color',
        count: 'Count',
        startDate: 'Start date',
        endDate: 'End date',
        isDefault: 'Default',
        isToDisplay: 'List',
        amountsSum: '$ Total',
        createdAt: 'Created at',
        updatedAt: 'Updated at',
        delete: 'Delete',
        actions: 'Actions',
        manageAmounts: 'Manage $',
        viewAmounts: 'View $',
        referenceMonth: 'Reference month',
        amount: 'Amount $',
        paymentConfirmed: 'Payment confirmed',
        dueDate: 'Due date',
        receivedAt: 'Received at',
        category: 'Category',
        paymentRecurrence: 'Payment recurrence',
        purchaseDate: 'Purchase date',
        paymentStatus: 'Payment status',
        paymentMethod: 'Payment method',
        companyNickname: 'Company',
        description: 'Description',
        numberOfInstallments: 'nº Installments',
        installmentAmount: '$ Installment',
        paidOutAt: 'Paid out at',
      },
      body: {
        countText: 'Used {n} times',
      },
    },
  },
}
